# $Revision: 1.813 $, $Date: 2009/03/23 10:09:07 $
#
# Conditional build:
# min_kernel	(default is 2.6.12)
%bcond_without	memusage	# don't build memusage utility
%bcond_without	selinux		# without SELinux support (in nscd)
%bcond_with	tests		# perform "make test"
%bcond_without	localedb	# don't build localedb-all (is time consuming)
%bcond_with	cross		# build using crossgcc (without libgcc_eh)
#
# TODO:
# - look at locale fixes/updates in bugzilla
# - no more chicken-egg problem (postshell is no more dynamically linked with libc), remove SONAME symlinks? see files section.
# - unbash /usr/bin/ldd (and other scripts?)
# [OLD]
# - localedb-gen man pages(?)
# - math/{test-fenv,test-tgmath,test-float,test-ifloat},
#   debug/backtrace-tst(SEGV)  fail on alpha
%{!?min_kernel:%global		min_kernel	2.6.12}

%ifarch sparc64
%undefine	with_memusage
%endif

%define		llh_version	7:2.6.20.4-1

Summary:	GNU libc
Summary(de.UTF-8):	GNU libc
Summary(es.UTF-8):	GNU libc
Summary(fr.UTF-8):	GNU libc
Summary(ja.UTF-8):	GNU libc ライブラリ
Summary(pl.UTF-8):	GNU libc
Summary(ru.UTF-8):	GNU libc версии
Summary(tr.UTF-8):	GNU libc
Summary(uk.UTF-8):	GNU libc версії
Name:		glibc
Version:	2.9
Release:	7
Epoch:		6
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://sources.redhat.com/pub/glibc/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	fc62e989cf31d015f31628609fc3757a
Source1:	ftp://sources.redhat.com/pub/glibc/releases/%{name}-libidn-%{version}.tar.bz2
# Source1-md5:	99536b508af988e7cc6275944d12b491
Source2:	nscd.init
Source3:	nscd.sysconfig
Source4:	nscd.logrotate
#Source5:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
Source5:	http://qboosh.pl/man/%{name}-man-pages.tar.bz2
# Source5-md5:	f464eadf3cf06761f65639e44a179e6b
Source6:	%{name}-localedb-gen
Source7:	%{name}-LD-path.c
Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-pld.patch
Patch3:		%{name}-crypt-blowfish.patch
Patch4:		%{name}-alpha-ev6-opcodes.patch
Patch5:		%{name}-sparc-softfp-gcc.patch
Patch6:		%{name}-paths.patch
Patch7:		%{name}-no_opt_override.patch
Patch8:		%{name}-missing-nls.patch
Patch9:		%{name}-java-libc-wait.patch
Patch10:	%{name}-info.patch
Patch11:	%{name}-no_debuggable_objects.patch
Patch12:	%{name}-2.7-alpha_PTR_MANGLE_move-1.patch
Patch13:	%{name}-load-reg.patch
Patch14:	%{name}-sparc-errno_fix.patch
Patch15:	%{name}-new-charsets.patch
Patch16:	%{name}-tzfile-noassert.patch
Patch17:	%{name}-morelocales.patch
Patch18:	%{name}-locale_fixes.patch
Patch19:	%{name}-ZA_collate.patch
Patch20:	%{name}-thread_start.patch
Patch21:	%{name}-cross-gcc_eh.patch
Patch22:	%{name}-with-stroke.patch
Patch23:	%{name}-pt_pax.patch
Patch24:	%{name}-fixes.patch
Patch25:	%{name}-cv_gnu89_inline.patch
Patch26:	%{name}-sed.patch
URL:		http://www.gnu.org/software/libc/
%{?with_selinux:BuildRequires:	audit-libs-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%ifarch alpha
BuildRequires:	binutils >= 2:2.17.50.0.7
%else
BuildRequires:	binutils >= 2:2.15.90.0.3
%endif
%{!?with_cross:BuildRequires:	dietlibc-static}
BuildRequires:	gawk
BuildRequires:	gcc >= 5:3.4
%{?with_memusage:BuildRequires:	gd-devel >= 2.0.1}
BuildRequires:	gettext-devel >= 0.10.36
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.18}
BuildRequires:	linux-libc-headers >= %{llh_version}
BuildRequires:	perl-base
BuildRequires:	rpm-build >= 4.3-0.20030610.28
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.413
BuildRequires:	sed >= 4.0.5
BuildRequires:	texinfo
Requires(post):	ldconfig = %{epoch}:%{version}-%{release}
Requires:	%{name}-misc = %{epoch}:%{version}-%{release}
Requires:	uname(release) >= %{min_kernel}
Provides:	glibc(nptl)
Provides:	glibc(tls)
Provides:	rtld(GNU_HASH)
Obsoletes:	glibc-common
Obsoletes:	glibc-debug
AutoReq:	false
%ifarch %{x8664} sparc64 ppc64
Provides:	glibc64
Obsoletes:	glibc64
%endif
Conflicts:	SysVinit < 2.86-11
Conflicts:	kernel < %{min_kernel}
Conflicts:	kernel24
Conflicts:	kernel24-smp
Conflicts:	ld.so < 1.9.9-10
Conflicts:	man-pages < 1.43
Conflicts:	poldek < 0.18.8-5
Conflicts:	rc-scripts < 0.3.1-13
Conflicts:	rpm < 4.1
ExclusiveArch:	i486 i586 i686 pentium3 pentium4 athlon %{x8664} ia64 alpha s390 s390x sparc sparc64 sparcv9 ppc ppc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# avoid -s here (ld.so must not be stripped to allow any program debugging)
%define		filterout_ld		(-Wl,)?-[sS] (-Wl,)?--strip.*
# avoid -D_FORTIFY_SOURCE=X
%define		filterout_cpp		-D_FORTIFY_SOURCE=[0-9]+

%define		specflags_sparc64	-mcpu=ultrasparc -mvis -fcall-used-g6

# ld.so needs not to be stripped to work
# gdb needs unstripped libpthread for some threading support
# ...but we can strip at least debuginfo from them
%define		_autostripdebug		.*/ld-[0-9.]*so\\|.*/libpthread-[0-9.]*so

# -m from CFLAGS or even LDFLAGS is not propagated to some *.o linking
%ifarch sparc sparcv9
%{expand:%%define	__cc	%{__cc} -m32}
%endif

# Xen-friendly glibc
%define		specflags_ia32		-mno-tls-direct-seg-refs
%define		specflags_x86_64	-mno-tls-direct-seg-refs
%define		specflags_amd64		-mno-tls-direct-seg-refs
%define		specflags_ia32e		-mno-tls-direct-seg-refs

# we don't want perl dependency in glibc-devel
%define		_noautoreqfiles		%{_bindir}/mtrace
# hack: don't depend on rpmlib(PartialHardlinkSets) for easier upgrade from Ra
# (hardlinks here are unlikely to be "partial"... and rpm 4.0.2 from Ra was
# patched not to crash on partial hardlinks too)
%define		_hack_dontneed_PartialHardlinkSets	1
%define		_noautochrpath		.*\\(ldconfig\\|sln\\)
# private symbols
%define		_noautoprov		.*\(GLIBC_PRIVATE\)
%define		_noautoreq		.*\(GLIBC_PRIVATE\)

%description
Contains the standard libraries that are used by multiple programs on
the system. In order to save disk space and memory, as well as to ease
upgrades, common system code is kept in one place and shared between
programs. This package contains the most important sets of shared
libraries, the standard C library and the standard math library.
Without these, a Linux system will not function. It also contains
national language (locale) support.

Can be used on: Linux kernel >= %{min_kernel}.

%description -l es.UTF-8
Contiene las bibliotecas estándared que son usadas por varios
programas del sistema. Para ahorrar el espacio en el disco y la
memoria, igual que para facilitar actualizaciones, código común del
sistema se guarda en un sitio y es compartido entre los programas.
Este paquete contiene las bibliotecas compartidas más importantes, es
decir la biblioteca C estándar y la biblioteca estándar de matemática.
Sin éstas, un sistema Linux no podrá funcionar. También está incluido
soporte de idiomas nacionales (locale).

Puede usarse con: núcleo Linux >= %{min_kernel}.

%description -l de.UTF-8
Enthält die Standard-Libraries, die von verschiedenen Programmen im
System benutzt werden. Um Festplatten- und Arbeitsspeicher zu sparen
und zur Vereinfachung von Upgrades ist der gemeinsame Systemcode an
einer einzigen Stelle gespeichert und wird von den Programmen
gemeinsam genutzt. Dieses Paket enthält die wichtigsten Sets der
shared Libraries, die Standard-C-Library und die
Standard-Math-Library, ohne die das Linux-System nicht funktioniert.
Ferner enthält es den Support für die verschiedenen Sprachgregionen
(locale).

Can be used on: Linux kernel >= %{min_kernel}.

%description -l fr.UTF-8
Contient les bibliothèques standards utilisées par de nombreux
programmes du système. Afin d'économiser l'espace disque et mémoire,
et de faciliter les mises à jour, le code commun au système est mis à
un endroit et partagé entre les programmes. Ce paquetage contient les
bibliothèques partagées les plus importantes, la bibliothèque standard
du C et la bibliothèque mathématique standard. Sans celles-ci, un
système Linux ne peut fonctionner. Il contient aussi la gestion des
langues nationales (locales).

Can be used on: Linux kernel >= %{min_kernel}.

%description -l ja.UTF-8
glibc
パッケージはシステム上の複数のプログラムで使われる標準ライブラリを
ふくみます。ディスクスペースとメモリを節約したり、アップグレードを
用意にするために、共通のシステムコードは一つの場所におかれ、プログラム
間で共有されます。この部分的なパッケージはシェアドライブラリのかなり
重要なセットをふくみます: 標準 C ライブラリと標準数値ライブラリです。
この二つのライブラリ抜きでは、Linux システムは機能しません。 glibc
パッケージはまた地域言語 (locale) サポートとタイムゾーンデータベース
サポートをふくみます。

Can be used on: Linux kernel >= %{min_kernel}.

%description -l pl.UTF-8
W pakiecie znajdują się podstawowe biblioteki, używane przez różne
programy w Twoim systemie. Używanie przez programy bibliotek z tego
pakietu oszczędza miejsce na dysku i pamięć. Większość kodu
systemowego jest usytuowane w jednym miejscu i dzielone między wieloma
programami. Pakiet ten zawiera bardzo ważny zbiór bibliotek
standardowych, współdzielonych (dynamicznych) bibliotek C i
matematycznych. Bez glibc system Linux nie jest w stanie funkcjonować.
Znajdują się tutaj również definicje różnych informacji dla wielu
języków (locale).

Pakiet jest przeznaczony dla jądra Linuksa >= %{min_kernel}.

%description -l ru.UTF-8
Содержит стандартные библиотеки, используемые многочисленными
программами в системе. Для того, чтобы сохранить дисковое пространство
и память, а также для простоты обновления, системный код, общий для
всех программ, хранится в одном месте и коллективно используется всеми
программами. Этот пакет содержит наиболее важные из разделяемых
библиотек - стандартную библиотеку C и стандартную библиотеку
математики. Без этих библиотек Linux функционировать не будет. Также
пакет содержит поддержку национальных языков (locale).

Can be used on: Linux kernel >= %{min_kernel}.

%description -l tr.UTF-8
Bu paket, birçok programın kullandığı standart kitaplıkları içerir.
Disk alanı ve bellek kullanımını azaltmak ve aynı zamanda güncelleme
işlemlerini kolaylaştırmak için ortak sistem kodları tek bir yerde
tutulup programlar arasında paylaştırılır. Bu paket en önemli ortak
kitaplıkları, standart C kitaplığını ve standart matematik kitaplığını
içerir. Bu kitaplıklar olmadan Linux sistemi çalışmayacaktır. Yerel
dil desteği ve zaman dilimi veri tabanı da bu pakette yer alır.

Can be used on: Linux kernel >= %{min_kernel}.

%description -l uk.UTF-8
Містить стандартні бібліотеки, котрі використовуються численними
програмами в системі. Для того, щоб зберегти дисковий простір та
пам'ять, а також для простоти поновлення системи, системний код,
спільний для всіх програм, зберігається в одному місці і колективно
використовується всіма програмами. Цей пакет містить найбільш важливі
з динамічних бібліотек - стандартну бібліотеку С та стандартну
бібліотеку математики. Без цих бібліотек Linux функціонувати не буде.
Також пакет містить підтримку національних мов (locale).

Can be used on: Linux kernel >= %{min_kernel}.

%package misc
Summary:	Utilities and data used by glibc
Summary(pl.UTF-8):	Narzędzia i dane używane przez glibc
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Suggests:	localedb
Suggests:	tzdata
AutoReq:	false

%description misc
Utilities and data used by glibc.

%description misc -l pl.UTF-8
Narzędzia i dane używane przez glibc.

%package -n ldconfig
Summary:	Create shared library cache and maintains symlinks
Summary(de.UTF-8):	Erstellt ein shared library cache und verwaltet symlinks
Summary(fr.UTF-8):	Crée un cache de bibliothčque partagée et gčre *.so
Summary(pl.UTF-8):	Tworzenie cache'u bibliotek dynamicznych i ich dowiązań symbolicznych
Summary(tr.UTF-8):	Ortak kitaplýk önbelleđi yaratýr ve bađlantýlarý kurar
Group:		Applications/System
# This is needed because previous package (glibc) had autoreq false and had
# provided this manually. Probably poldek bug that have to have it here.
Provides:	/sbin/ldconfig

%description -n ldconfig
ldconfig scans a running system and sets up the symbolic links that
are used to load shared libraries properly. It also creates
/etc/ld.so.cache which speeds the loading programs which use shared
libraries.

%description -n ldconfig -l de.UTF-8
ldconfig scannt ein laufendes System und richtet die symbolischen
Verknüpfungen zum Laden der gemeinsam genutzten Libraries ein.
Außerdem erstellt es /etc/ld.so.cache, was das Laden von Programmen
mit gemeinsam genutzten Libraries beschleunigt.

%description -n ldconfig -l fr.UTF-8
ldconfig analyse un systčme et configure les liens symboliques
utilisés pour charger correctement les bibliothčques partagées. Il
crée aussi /etc/ld.so.cache qui accélčre le chargement des programmes
utilisant les bibliothčques partagées.

%description -n ldconfig -l pl.UTF-8
ldconfig testuje uruchominy system i tworzy dowiązania symboliczne,
które są następnie używane do poprawnego ładowania bibliotek
dynamicznych. Program ten tworzy plik /etc/ld.so.cache, który
przyśpiesza ładowanie programów korzystających z bibliotek
dynamicznych.

%description -n ldconfig -l tr.UTF-8
ldconfig, çalýţmakta olan sistemi araţtýrýr ve ortak kitaplýklarýn
düzgün bir ţekilde yüklenmesi için gereken simgesel bađlantýlarý
kurar. Ayrýca ortak kitaplýklarý kullanan programlarýn yüklenmesini
hýzlandýran /etc/ld.so.cache dosyasýný yaratýr.

%package devel
Summary:	Additional libraries required to compile
Summary(de.UTF-8):	Weitere Libraries zum Kompilieren
Summary(es.UTF-8):	Bibliotecas adicionales necesarias para la compilación
Summary(fr.UTF-8):	Librairies supplémentaires nécessaires à la compilation
Summary(ja.UTF-8):	標準 C ライブラリで使われるヘッダーとオブジェクトファイル
Summary(pl.UTF-8):	Dodatkowe biblioteki wymagane podczas kompilacji
Summary(ru.UTF-8):	Дополнительные библиотеки, необходимые для компиляции
Summary(tr.UTF-8):	Geliştirme için gerekli diğer kitaplıklar
Summary(uk.UTF-8):	Додаткові бібліотеки, потрібні для компіляції
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name}-devel-utils = %{epoch}:%{version}-%{release}
Requires:	%{name}-headers = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel(%{_target_cpu}) = %{epoch}:%{version}-%{release}
Obsoletes:	libiconv-devel

%description devel
To develop programs which use the standard C libraries (which nearly
all programs do), the system needs to have these standard header files
and object files available for creating the executables.

%description devel -l de.UTF-8
Bei der Entwicklung von Programmen, die die Standard-C-Libraries
verwenden (also fast alle), benötigt das System diese Standard-Header-
und Objektdateien zum Erstellen der ausführbaren Programme.

%description devel -l es.UTF-8
Para desarrollar programas que utilizan las bibliotecas C estándar (lo
cual hacen prácticamente todos los programas), el sistema necesita
disponer de estos ficheros de cabecera y de objetos para crear los
ejecutables.

%description devel -l fr.UTF-8
Pour développer des programmes utilisant les bibliothèques standard du
C (ce que presque tous les programmes font), le système doit posséder
ces fichiers en-têtes et objets standards pour créer les exécutables.

%description devel -l ja.UTF-8
glibc-devel パッケージは(ほとんどすべてのプログラムで使われる)標準 C
ライブラリを使用したプログラムを開発するためのヘッダーとオブジェクト
ファイルを含みます。もし標準 C
ライブラリを使用するプログラムを開発するなら
実行ファイルを作成する目的でこれらの標準ヘッダとオブジェクトファイル
が使用できます。

%description devel -l pl.UTF-8
Pakiet ten jest niezbędny przy tworzeniu własnych programów
korzystających ze standardowej biblioteki C. Znajdują się tutaj pliki
nagłówkowe oraz pliki obiektowe, niezbędne do kompilacji programów
wykonywalnych i innych bibliotek.

%description devel -l ru.UTF-8
Для разработки программ, использующих стандартные библиотеки C (а
практически все программы их используют), системе НЕОБХОДИМЫ хедеры и
объектные файлы, содержащиеся в этом пакете, чтобы создавать
исполняемые файлы.

%description devel -l tr.UTF-8
C kitaplığını kullanan (ki hemen hemen hepsi kullanıyor) programlar
geliştirmek için gereken standart başlık dosyaları ve statik
kitaplıklar.

%description devel -l uk.UTF-8
Для розробки програм, що використовують стандартні бібліотеки C
(практично всі програми їх використовують), системі НЕОБХІДНІ хедери
та об'єктні файли, що містяться в цьому пакеті, цоб створювати
виконувані файли.

%package headers
Summary:	Header files for development using standard C libraries
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów przy użyciu standardowych bibliotek C
Group:		Development/Building
Provides:	%{name}-headers(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%ifarch %{x8664}
# If both -m32 and -m64 is to be supported on x86_64, x86_64 package
# have to be installed, not ix86 one.
Obsoletes:	glibc-headers(athlon)
Obsoletes:	glibc-headers(i386)
Obsoletes:	glibc-headers(i486)
Obsoletes:	glibc-headers(i586)
Obsoletes:	glibc-headers(i686)
Obsoletes:	glibc-headers(pentium3)
Obsoletes:	glibc-headers(pentium4)
%endif
%ifarch ppc64
Obsoletes:	glibc-headers(ppc)
%endif
%ifarch s390x
Obsoletes:	glibc-headers(s390)
%endif
%ifarch sparc64
Obsoletes:	glibc-headers(sparc)
%endif
Requires:	linux-libc-headers >= %{llh_version}

%description headers
The glibc-headers package contains the header files necessary for
developing programs which use the standard C libraries (which are used
by nearly all programs). If you are developing programs which will use
the standard C libraries, your system needs to have these standard
header files available in order to create the executables.

Install glibc-headers if you are going to develop programs which will
use the standard C libraries.

%description headers -l pl.UTF-8
Pakiet glibc-headers zawiera pliki nagłówkowe niezbędne do rozwijania
programów używających standardowych bibliotek C (używanych przez
prawie wszystkie programy). Jeśli tworzymy programy korzystające ze
standardowych bibliotek C, system wymaga dostępności tych
standardowych plików nagłówkowych do tworzenia programów
wykonywalnych.

Ten pakiet należy zainstalować jeśli zamierzamy tworzyć programy
korzystające ze standardowych bibliotek C.

%package devel-utils
Summary:	Utilities needed for development using standard C libraries
Summary(pl.UTF-8):	Narzędzia do tworzenia programów przy użyciu standardowych bibliotek C
Group:		Development/Libraries
Provides:	%{name}-devel-utils(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%ifarch %{x8664}
# If both -m32 and -m64 is to be supported on AMD64, x86_64 package
# have to be installed, not ix86 one.
Obsoletes:	glibc-devel-utils(athlon)
Obsoletes:	glibc-devel-utils(i386)
Obsoletes:	glibc-devel-utils(i486)
Obsoletes:	glibc-devel-utils(i586)
Obsoletes:	glibc-devel-utils(i686)
Obsoletes:	glibc-devel-utils(pentium3)
Obsoletes:	glibc-devel-utils(pentium4)
%endif
%ifarch ppc64
Obsoletes:	glibc-devel-utils(ppc)
%endif
%ifarch s390x
Obsoletes:	glibc-devel-utils(s390)
%endif
%ifarch sparc64
Obsoletes:	glibc-devel-utils(sparc)
%endif

%description devel-utils
The glibc-devel-utils package contains utilities necessary for
developing programs which use the standard C libraries (which are used
by nearly all programs). If you are developing programs which will use
the standard C libraries, your system needs to have these utilities
available.

Install glibc-devel-utils if you are going to develop programs which
will use the standard C libraries.

%description devel-utils -l pl.UTF-8
Pakiet glibc-devel-utils zawiera narzędzia niezbędne do rozwijania
programów używających standardowych bibliotek C (używanych przez
prawie wszystkie programy). Jeśli tworzymy programy korzystające ze
standardowych bibliotek C, system wymaga dostępności tych narzędzi do
tworzenia programów wykonywalnych.

Ten pakiet należy zainstalować jeśli zamierzamy tworzyć programy
korzystające ze standardowych bibliotek C.

%package devel-doc
Summary:	Documentation needed for development using standard C libraries
Summary(pl.UTF-8):	Dokumentacja do tworzenia programów przy użyciu standardowych bibliotek C
Group:		Documentation
Provides:	%{name}-devel-doc(%{_target_cpu}) = %{epoch}:%{version}-%{release}
%ifarch %{x8664}
# If both -m32 and -m64 is to be supported on x86_64, x86_64 package
# have to be installed, not ix86 one.
Obsoletes:	glibc-devel-doc(athlon)
Obsoletes:	glibc-devel-doc(i386)
Obsoletes:	glibc-devel-doc(i486)
Obsoletes:	glibc-devel-doc(i586)
Obsoletes:	glibc-devel-doc(i686)
Obsoletes:	glibc-devel-doc(pentium3)
Obsoletes:	glibc-devel-doc(pentium4)
%endif
%ifarch ppc64
Obsoletes:	glibc-devel-doc(ppc)
%endif
%ifarch s390x
Obsoletes:	glibc-devel-doc(s390)
%endif
%ifarch sparc64
Obsoletes:	glibc-devel-doc(sparc)
%endif

%description devel-doc
The glibc-devel-doc package contains info and manual pages necessary
for developing programs which use the standard C libraries (which are
used by nearly all programs).

Install glibc-devel-doc if you are going to develop programs which
will use the standard C libraries.

%description devel-doc -l pl.UTF-8
Pakiet glibc-devel-doc zawiera strony info i manuala przydatne do
rozwijania programów używających standardowych bibliotek C (używanych
przez prawie wszystkie programy).

Ten pakiet należy zainstalować jeśli zamierzamy tworzyć programy
korzystające ze standardowych bibliotek C.

%package -n nscd
Summary:	Name Service Caching Daemon
Summary(es.UTF-8):	Demonio de caché del servicio de nombres
Summary(ja.UTF-8):	ネームサービスキャッシングデーモン (nacd)
Summary(pl.UTF-8):	Demon zapamiętujący odpowiedzi serwisów nazw
Summary(ru.UTF-8):	Кэширующий демон сервисов имен
Summary(uk.UTF-8):	Кешуючий демон севісів імен
License:	GPL v2
Group:		Networking/Daemons
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?with_selinux:Requires:	libselinux >= 1.18}
Requires:	rc-scripts >= 0.2.0
Provides:	group(nscd)
Provides:	user(nscd)

%description -n nscd
nscd caches name service lookups; it can dramatically improve
performance with NIS+, and may help with DNS as well.

%description -n nscd -l es.UTF-8
nscd guarda las peticiones del servicio de nombres en una caché; eso
puede aumentar drásticamente las prestaciones de NIS+, y también puede
ayudar con DNS.

%description -n nscd -l ja.UTF-8
Nscd はネームサービス参照をキャッシュし、NIS+ のパフォーマンスを
ドラマティックに改善することができ、DNS を同様に補助します。

%description -n nscd -l pl.UTF-8
nscd zapamiętuje zapytania i odpowiedzi NIS oraz DNS. Pozwala
drastycznie poprawić szybkość działania NIS+.

%description -n nscd -l ru.UTF-8
nscd кэширует результаты запросов к сервисам имен; это может резко
увеличить производительность работы с NIS+ и, также, может помочь с
DNS.

%description -n nscd -l uk.UTF-8
nscd кешує результати запросів до сервісів імен; це може сильно
збільшити швидкість роботи з NIS+ і, також, може допомогти з DNS.

%package -n localedb-src
Summary:	locale database source code
Summary(es.UTF-8):	Código fuente de la base de datos de los locales
Summary(pl.UTF-8):	Kod źródłowy bazy locale
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gzip
Requires:	sed
Provides:	localedb

%description -n localedb-src
This add-on package contains the data needed to build the locale data
files to use the internationalization features of the GNU libc.

%description -n localedb-src -l es.UTF-8
Este paquete adicional contiene los datos necesarios para construir
los ficheros de locale, imprescindibles para usar las cualidades de
internacionalización de GNU libc.

%description -n localedb-src -l pl.UTF-8
Pakiet ten zawiera dane niezbędne do zbudowania binarnych plików
lokalizacyjnych, by móc wykorzystać możliwości oferowane przez GNU
libc.

%package localedb-all
Summary:	locale database for all locales supported by glibc
Summary(es.UTF-8):	Base de datos de todos los locales soportados por glibc
Summary(pl.UTF-8):	Baza danych locale dla wszystkich lokalizacji obsługiwanych przez glibc
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	iconv = %{epoch}:%{version}-%{release}
Provides:	localedb

%description localedb-all
This package contains locale database for all locales supported by
glibc. In glibc 2.3.x it's one large file (about 39MB) - if you want
something smaller with support for chosen locales only, consider
installing localedb-src and regenerating database using localedb-gen
script (when database is generated, localedb-src can be uninstalled).

%description localedb-all -l es.UTF-8
Este paquete contiene una base de datos de todos los locales
soportados por glibc. En glibc 2.3.x ése es un fichero grande (aprox.
39 MB) -- si prefiere algo más pequeño, sólo con soporte de unos
locales elegidos, considérese instalar localedb-src y regenerar la
base de datos usando el escript localedb-gen (una vez que la base de
datos esté creada, localedb-src se podrá desinstalar).

%description localedb-all -l pl.UTF-8
Ten pakiet zawiera bazę danych locale dla wszystkich lokalizacji
obsługiwanych przez glibc. W glibc 2.3.x jest to jeden duży plik
(około 39MB); aby mieć coś mniejszego, z obsługą tylko wybranych
lokalizacji, należy zainstalować pakiet localedb-src i przegenerować
bazę danych przy użyciu skryptu localedb-gen (po wygenerowaniu bazy
pakiet localedb-src można odinstalować).

%package -n iconv
Summary:	Convert encoding of given files from one encoding to another
Summary(es.UTF-8):	Convierte entre varias codificaciones de los ficheros dados
Summary(pl.UTF-8):	Moduły do konwersji plików tekstowych z jednego kodowania do innego
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	iconv(%{_target_base_arch})

%description -n iconv
Convert encoding of given files from one encoding to another. You need
this package if you want to convert some document from one encoding to
another or if you have installed some programs which use Generic
Character Set Conversion Interface.

%description -n iconv -l es.UTF-8
Convierte la codificación de dados ficheros. Necesita este paquete si
quiere convertir un documento entre una codificación (juego de
caracteres) y otra, o si tiene instalado algún programa que usa el
Generic Character Set Conversion Interface (interfaz genérica de
conversión de juegos de caracteres).

%description -n iconv -l pl.UTF-8
Moduły do konwersji plików tekstowych z jednego kodowania do innego.
Trzeba mieć zainstalowany ten pakiet, aby wykonywać konwersję
dokumentów z jednego kodowania do innego lub do używania programów
korzystających z Generic Character Set Conversion Interface w glibc,
czyli z zestawu funkcji z tej biblioteki, które umożliwiają konwersję
kodowania danych z poziomu dowolnego programu.

%package static
Summary:	Static libraries
Summary(es.UTF-8):	Bibliotecas estáticas
Summary(pl.UTF-8):	Biblioteki statyczne
Summary(ru.UTF-8):	Статические библиотеки glibc
Summary(uk.UTF-8):	Статичні бібліотеки glibc
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-static(%{_target_cpu}) = %{epoch}:%{version}-%{release}
Obsoletes:	libiconv-static

%description static
GNU libc static libraries.

%description static -l es.UTF-8
Bibliotecas estáticas de GNU libc.

%description static -l pl.UTF-8
Biblioteki statyczne GNU libc.

%description static -l ru.UTF-8
Это отдельный пакет со статическими библиотеками, которые больше не
входят в glibc-devel.

%description static -l uk.UTF-8
Це окремий пакет зі статичними бібліотеками, що більше не входять в
склад glibc-devel.

%package profile
Summary:	glibc with profiling support
Summary(de.UTF-8):	glibc mit Profil-Unterstützung
Summary(es.UTF-8):	glibc con soporte de perfilamiento
Summary(fr.UTF-8):	glibc avec support pour profiling
Summary(pl.UTF-8):	glibc ze wsparciem dla profilowania
Summary(ru.UTF-8):	GNU libc с поддержкой профайлера
Summary(tr.UTF-8):	Ölçüm desteği olan glibc
Summary(uk.UTF-8):	GNU libc з підтримкою профайлера
Group:		Development/Libraries/Libc
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libc-profile

%description profile
When programs are being profiled using gprof, they must use these
libraries instead of the standard C libraries for gprof to be able to
profile them correctly.

%description profile -l de.UTF-8
Damit Programmprofile mit gprof richtig erstellt werden, müssen diese
Libraries anstelle der üblichen C-Libraries verwendet werden.

%description profile -l es.UTF-8
Cuando programas son perfilidas usando gprof, tienen que usar estas
biblioteces en vez de las estándares para que gprof pueda perfilarlas
correctamente.

%description profile -l pl.UTF-8
Programy profilowane za pomocą gprof muszą używać tych bibliotek
zamiast standardowych bibliotek C, aby gprof mógł odpowiednio je
wyprofilować.

%description profile -l uk.UTF-8
Коли програми досліджуються профайлером gprof, вони повинні
використовувати замість стандартних бібліотек бібліотеки, що містяться
в цьому пакеті. При використанні стандартних бібліотек gprof замість
реальних результатів буде показувати ціни на папайю в Гонолулу в
позаминулому році...

%description profile -l tr.UTF-8
gprof kullanılarak ölçülen programlar standart C kitaplığı yerine bu
kitaplığı kullanmak zorundadırlar.

%description profile -l ru.UTF-8
Когда программы исследуются профайлером gprof, они должны
использовать, вместо стандартных библиотек, библиотеки, включенные в
этот пакет. При использовании стандартных библиотек gprof вместо
реальных результатов будет показывать цены на папайю в Гонолулу в
позапрошлом году...

%package pic
Summary:	glibc PIC archive
Summary(es.UTF-8):	Archivo PIC de glibc
Summary(pl.UTF-8):	Archiwum PIC glibc
Group:		Development/Libraries/Libc
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description pic
GNU C Library PIC archive contains an archive library (ar file)
composed of individual shared objects. This is used for creating a
library which is a smaller subset of the standard libc shared library.

%description pic -l es.UTF-8
El archivo PIC de la biblioteca glibc contiene una biblioteca
archivada (un fichero ar) compuesta de individuales objetos
compartidos. Es usado para crear una biblioteca que sea un subconjunto
más pequeño de la biblioteca libc compartida estándar.

%description pic -l pl.UTF-8
Archiwum PIC biblioteki GNU C zawiera archiwalną bibliotekę (plik ar)
złożoną z pojedynczych obiektów współdzielonych. Używana jest do
tworzenia biblioteki będącej mniejszym podzestawem standardowej
biblioteki współdzielonej libc.

%package -n nss_compat
Summary:	Old style NYS NSS glibc module
Summary(es.UTF-8):	El antiguo módulo NYS NSS de glibc
Summary(pl.UTF-8):	Stary moduł NYS NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_compat
Old style NYS NSS glibc module.

%description -n nss_compat -l es.UTF-8
El antiguo módulo NYS NSS de glibc

%description -n nss_compat -l pl.UTF-8
Stary moduł NYS NSS glibc.

%package -n nss_dns
Summary:	BIND NSS glibc module
Summary(es.UTF-8):	Módulo BIND NSS de glibc
Summary(pl.UTF-8):	Moduł BIND NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_dns
BIND NSS glibc module.

%description -n nss_dns -l es.UTF-8
Módulo BIND NSS de glibc.

%description -n nss_dns -l pl.UTF-8
Moduł BIND NSS glibc.

%package -n nss_files
Summary:	Traditional files databases NSS glibc module
Summary(es.UTF-8):	Módulo de tradicionales bases de datos en ficheros para glibc
Summary(pl.UTF-8):	Moduł tradycyjnych plikowych baz danych NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_files
Traditional files databases NSS glibc module.

%description -n nss_files -l es.UTF-8
Módulo de tradicionales bases de datos en ficheros para glibc.

%description -n nss_files -l pl.UTF-8
Moduł tradycyjnych plikowych baz danych NSS glibc.

%package -n nss_hesiod
Summary:	hesiod NSS glibc module
Summary(es.UTF-8):	Módulo hesiod NSS de glibc
Summary(pl.UTF-8):	Moduł hesiod NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_hesiod
glibc NSS (Name Service Switch) module for databases access.

%description -n nss_hesiod -l es.UTF-8
Módulo hesiod NSS de glibc.

%description -n nss_hesiod -l pl.UTF-8
Moduł glibc NSS (Name Service Switch) dostępu do baz danych.

%package -n nss_nis
Summary:	NIS(YP) NSS glibc module
Summary(es.UTF-8):	Módulo NIS(YP) NSS de glibc
Summary(pl.UTF-8):	Moduł NIS(YP) NSS glibc
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_nis
glibc NSS (Name Service Switch) module for NIS(YP) databases access.

%description -n nss_nis -l es.UTF-8
Módulo NSS de glibc para acceder las bases de datos NIS(YP).

%description -n nss_nis -l pl.UTF-8
Moduł glibc NSS (Name Service Switch) dostępu do baz danych NIS(YP).

%package -n nss_nisplus
Summary:	NIS+ NSS module
Summary(es.UTF-8):	Módulo NIS+ NSS
Summary(pl.UTF-8):	Moduł NIS+ NSS
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n nss_nisplus
glibc NSS (Name Service Switch) module for NIS+ databases access.

%description -n nss_nisplus -l es.UTF-8
Módulo NSS (Name Service Switch) de glibc para acceder las bases de
datos NIS+.

%description -n nss_nisplus -l pl.UTF-8
Moduł glibc NSS (Name Service Switch) dostępu do baz danych NIS+.

%package memusage
Summary:	A toy
Summary(es.UTF-8):	Un juguete
Summary(pl.UTF-8):	Zabawka
Group:		Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description memusage
A toy.

%description memusage -l es.UTF-8
Un juguete.

%description memusage -l pl.UTF-8
Zabawka.

%prep
%setup -q -a1
ln -s glibc-libidn-%{version} libidn
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p0
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%{?with_cross:%patch21 -p1}
%patch22 -p1
%patch23 -p0
%patch24 -p1
%patch25 -p1
%patch26 -p1

# these would be copied to localedb-src
rm -f localedata/locales/*{.orig,~}

chmod +x scripts/cpp

# i786 (aka pentium4) hack
cd nptl/sysdeps/i386 && ln -s i686 i786 && cd -
cd nptl/sysdeps/unix/sysv/linux/i386 && ln -s i686 i786 && cd -

# A lot of programs still misuse memcpy when they have to use
# memmove. The memcpy implementation below is not tolerant at
# all.
rm sysdeps/alpha/alphaev6/memcpy.S

%build
# glibc has its own way to remove PLT relocations. / H. J. Lu.
unset LD_SYMBOLIC_FUNCTIONS || :

cp -f /usr/share/automake/config.sub scripts
%{__aclocal}
%{__autoconf}

rm -rf builddir
install -d builddir
cd builddir
%ifarch sparc64
CC="%{__cc} -m64 -mcpu=ultrasparc -mvis -fcall-used-g6"
%endif
AWK="gawk" \
../%configure \
	--enable-kernel="%{min_kernel}" \
	--enable-omitfp \
	--with-headers=%{_includedir} \
	--with%{!?with_selinux:out}-selinux \
	--with-tls \
	--enable-add-ons=nptl,libidn \
	--enable-stackguard-randomization \
	--enable-hidden-plt \
	--enable-bind-now \
	--enable-profile

%{__make} \
	AWK="gawk" \
	sLIBdir=%{_libdir}

cd ..

%if %{with tests}
for d in builddir; do
cd $d
env LANGUAGE=C LC_ALL=C \
%{__make} tests 2>&1 | awk '
BEGIN { file = "" }
{
	if (($0 ~ /\*\*\* \[.*\.out\] Error/) && ($0 !~ /annexc/) && (file == "")) {
		file=$0;
		gsub(/.*\[/, NIL, file);
		gsub(/\].*/, NIL, file);
	}
	print $0;
}
END { if (file != "") { print "ERROR OUTPUT FROM " file; system("cat " file); exit(1); } }'
cd ..
done
%endif

%if %{without cross}
CC="%{__cc}"
diet ${CC#*ccache } %{SOURCE7} %{rpmcflags} -Os -static -o glibc-postinst
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{logrotate.d,rc.d/init.d,sysconfig},%{_mandir}/man{3,8},/var/log,/var/{lib,run}/nscd}

cd builddir
env LANGUAGE=C LC_ALL=C \
%{__make} install \
	install_root=$RPM_BUILD_ROOT \
	infodir=%{_infodir} \
	mandir=%{_mandir}

%if %{with localedb}
env LANGUAGE=C LC_ALL=C \
%{__make} localedata/install-locales \
	install_root=$RPM_BUILD_ROOT
%endif

PICFILES="libc_pic.a libc.map
	math/libm_pic.a libm.map
	resolv/libresolv_pic.a"

install $PICFILES				$RPM_BUILD_ROOT%{_libdir}
install elf/soinit.os				$RPM_BUILD_ROOT%{_libdir}/soinit.o
install elf/sofini.os				$RPM_BUILD_ROOT%{_libdir}/sofini.o

# Include %{_libdir}/gconv/gconv-modules.cache
./iconv/iconvconfig --nostdlib --prefix=$RPM_BUILD_ROOT %{_libdir}/gconv -o $RPM_BUILD_ROOT%{_libdir}/gconv/gconv-modules.cache
cd ..

%if %{without cross}
install glibc-postinst				$RPM_BUILD_ROOT/sbin
%endif

%{?with_memusage:mv -f $RPM_BUILD_ROOT/%{_lib}/libmemusage.so $RPM_BUILD_ROOT%{_libdir}}
mv -f $RPM_BUILD_ROOT/%{_lib}/libpcprofile.so	$RPM_BUILD_ROOT%{_libdir}

# moved to tzdata package
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/localtime
rm -rf $RPM_BUILD_ROOT%{_datadir}/zoneinfo

ln -sf libbsd-compat.a		$RPM_BUILD_ROOT%{_libdir}/libbsd.a

# make symlinks across top-level directories absolute
for l in BrokenLocale anl cidn crypt dl m nsl resolv rt thread_db util; do
	test -L $RPM_BUILD_ROOT%{_libdir}/lib${l}.so || exit 1
	rm -f $RPM_BUILD_ROOT%{_libdir}/lib${l}.so
	ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/lib${l}.so.*) $RPM_BUILD_ROOT%{_libdir}/lib${l}.so
done

# linking nss modules directly is not supported
rm -f $RPM_BUILD_ROOT%{_libdir}/libnss_*.so

install %{SOURCE2}		$RPM_BUILD_ROOT/etc/rc.d/init.d/nscd
install %{SOURCE3}		$RPM_BUILD_ROOT/etc/sysconfig/nscd
install %{SOURCE4}		$RPM_BUILD_ROOT/etc/logrotate.d/nscd
install nscd/nscd.conf		$RPM_BUILD_ROOT%{_sysconfdir}
sed -e 's#\([ \t]\)db\([ \t]\)#\1#g' nss/nsswitch.conf > $RPM_BUILD_ROOT%{_sysconfdir}/nsswitch.conf
install posix/gai.conf		$RPM_BUILD_ROOT%{_sysconfdir}

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
> $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.cache
install -d $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d
echo 'include ld.so.conf.d/*.conf' > $RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf
rm -f $RPM_BUILD_ROOT%{_mandir}/hu/man7/man.7

:> $RPM_BUILD_ROOT/var/log/nscd
:> $RPM_BUILD_ROOT/var/lib/nscd/passwd
:> $RPM_BUILD_ROOT/var/lib/nscd/group
:> $RPM_BUILD_ROOT/var/lib/nscd/hosts

rm -rf documentation
install -d documentation

for f in ANNOUNCE ChangeLog DESIGN-{barrier,condvar,rwlock,sem}.txt TODO{,-kernel,-testing}; do
	cp -f nptl/$f documentation/$f.nptl
done
cp -f crypt/README.ufc-crypt ChangeLog* documentation

# Collect locale files and mark them with %%lang()
rm -f glibc.lang
echo '%defattr(644,root,root,755)' > glibc.lang
for i in $RPM_BUILD_ROOT%{_datadir}/locale/*; do
	if [ -d $i ]; then
		lang=$(basename $i)
		dir="${i#$RPM_BUILD_ROOT}"
		echo "%lang($lang) $dir" >> glibc.lang
	fi
done

# NOTES:
# Languages not supported by glibc locales, but usable via $LANGUAGE:
#   ang - Old English (gtk+, gnome)
#   tlh - Klingon (bzflag)
# and variants:
#   sr@ije (use LANGUAGE=sr_ME@ije/sr_RS@ije) (gnome)
#
# To be added when they become supported by glibc:
#   az_IR (gtk+)
#   ca@valencia (gtk+2; as ca_ES@valencia in FileZilla; locale exists in Debian)
#   co (vlc)
#   dv (iso-codes)
#   gn (gn_BR in gnome, maybe gn_PY)
#   la (deluge, gnome, others; patch needed, won't be officially supported)
#   my (gaim)
#   bal (newt)
#   haw (iso-codes)
#   ilo (kudzu)
#   kok (iso-codes)
#   man (ccsm; incorrectly named md)
#   mus (bluez-gnome)
#   sco (gnomad2)
#   syr (iso-codes)
#   ven (kalarm)
#
# bn is used for bn_BD or bn_IN? Assume bn_IN as nothing for bn_BD appeared
# till now.
#
# Omitted here - already existing (with libc.mo):
#   be ca cs da de el en_GB es fi fr gl hr hu it ja ko nb nl pl pt_BR ru rw sk
#   sv tr zh_CN zh_TW
#
for i in aa aa@saaho af am an ang ar ar_TN as ast az be@alternative be@latin \
	bg bn bn_IN br bs byn crh csb cy de_AT de_CH dz en en@boldquot en@quot \
	en_AU en_CA en_NZ en_US eo es_AR es_CL es_CO es_CR es_DO es_EC es_GT \
	es_HN es_MX es_NI es_PA es_PE es_PR es_SV es_UY es_VE et eu fa fil fo \
	fr_BE fr_CA fr_CH fur fy ga gd gez gu gv ha he hi hsb hy ia id ig ik \
	is it_CH iu ka kk kl km kn ks ku kw ky lg li lo lt lv mai mg mi mk ml \
	mn mr ms mt nds ne nl_BE nn nr nso oc om or pa pap ps pt rm ro sa sc \
	se si sid sl so sq sr sr@Latn sr@ije sr@latin ss st sw ta te tg th ti \
	tig tk tl tlh tn ts tt ug uk ur uz uz@cyrillic ve vi wa wal wo xh yi \
	yo zh_HK zu; do
	if [ ! -d $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES ]; then
		install -d $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_MESSAGES
		# use lang() tags with ll_CC@variant (stripping charset and @quot|@boldquot)
		lang=`echo $i | sed -e 's/@quot\>\|@boldquot\>//'`
		echo "%lang($lang) %{_datadir}/locale/$i" >> glibc.lang
	fi
done

# LC_TIME category, used for localized date formats (at least by coreutils)
for i in af be bg ca cs da de el es et eu fi fr ga gl hu id it ja ko lt ms nb nl pl \
	pt pt_BR ru rw sk sl sv tr uk vi zh_CN zh_TW; do
	if [ ! -d $RPM_BUILD_ROOT%{_datadir}/locale/$i ]; then
		echo "%lang($lang) %{_datadir}/locale/$i" >> glibc.lang
	fi
	install -d $RPM_BUILD_ROOT%{_datadir}/locale/$i/LC_TIME
done

# localedb-gen infrastructure
sed -e 's,@localedir@,%{_libdir}/locale,' %{SOURCE6} > $RPM_BUILD_ROOT%{_bindir}/localedb-gen
chmod +x $RPM_BUILD_ROOT%{_bindir}/localedb-gen
install localedata/SUPPORTED $RPM_BUILD_ROOT%{_datadir}/i18n

# shutup check-files
rm -f $RPM_BUILD_ROOT%{_mandir}/README.*
rm -f $RPM_BUILD_ROOT%{_mandir}/diff.*
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
# we don't support kernel without ptys support
rm -f $RPM_BUILD_ROOT%{_libdir}/pt_chown
# rpcbind
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man8/rpcinfo.8
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/rpcinfo.8
rm -f $RPM_BUILD_ROOT%{_sbindir}/rpcinfo

%clean
rm -rf $RPM_BUILD_ROOT

%if %{without cross}
%post	-p /sbin/postshell
/sbin/glibc-postinst /%{_lib}/%{_host_cpu} /%{_lib}/tls
/sbin/ldconfig

%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- glibc-misc < 6:2.3.5-7.6
-/bin/cp -f /etc/ld.so.conf /etc/ld.so.conf.rpmsave
-/bin/sed -i -e '1iinclude ld.so.conf.d/*.conf' /etc/ld.so.conf
%endif

%post	memusage -p /sbin/ldconfig
%postun	memusage -p /sbin/ldconfig

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%pre -n nscd
%groupadd -P nscd -g 144 -r nscd
%useradd -P nscd -u 144 -r -d /tmp -s /bin/false -c "Name Service Cache Daemon" -g nscd nscd

%post -n nscd
/sbin/chkconfig --add nscd
touch /var/log/nscd
chmod 000 /var/log/nscd
chown root:root /var/log/nscd
chmod 640 /var/log/nscd
%service nscd restart "nscd daemon"

%preun -n nscd
if [ "$1" = "0" ]; then
	%service nscd stop
	/sbin/chkconfig --del nscd
fi

%postun -n nscd
if [ "$1" = "0" ]; then
	%userremove nscd
	%groupremove nscd
fi

%files
%defattr(644,root,root,755)
%doc README NEWS FAQ BUGS
%if %{without cross}
%attr(755,root,root) /sbin/glibc-postinst
%endif
# TODO: package ldconfig symlinks as %ghost
%attr(755,root,root) /%{_lib}/ld-%{version}.so
# wildly arch-dependent ld.so SONAME symlink
%ifarch %{ix86} sparc sparcv9 sparc64 alpha sh
%attr(755,root,root) /%{_lib}/ld-linux.so.2
%endif
%ifarch ia64
%attr(755,root,root) /%{_lib}/ld-linux-ia64.so.2
%endif
%ifarch %{x8664}
%attr(755,root,root) /%{_lib}/ld-linux-x86-64.so.2
%endif
%ifarch ppc64 s390x
%attr(755,root,root) /%{_lib}/ld64.so.1
%endif
%ifnarch %{ix86} sparc sparcv9 sparc64 alpha sh ia64 %{x8664} ppc64 s390x
%attr(755,root,root) /%{_lib}/ld.so.1
%endif
%attr(755,root,root) /%{_lib}/libBrokenLocale-%{version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libBrokenLocale.so.1.1
%else
%attr(755,root,root) /%{_lib}/libBrokenLocale.so.1
%endif
%attr(755,root,root) /%{_lib}/libSegFault.so
%attr(755,root,root) /%{_lib}/libanl-%{version}.so
%attr(755,root,root) /%{_lib}/libanl.so.1
%attr(755,root,root) /%{_lib}/libc-%{version}.so
%ifarch alpha ia64
%attr(755,root,root) /%{_lib}/libc.so.6.1
%else
%attr(755,root,root) /%{_lib}/libc.so.6
%endif
%attr(755,root,root) /%{_lib}/libcidn-%{version}.so
%attr(755,root,root) /%{_lib}/libcidn.so.1
%attr(755,root,root) /%{_lib}/libcrypt-%{version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libcrypt.so.1.1
%else
%attr(755,root,root) /%{_lib}/libcrypt.so.1
%endif
%attr(755,root,root) /%{_lib}/libdl-%{version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libdl.so.2.1
%else
%attr(755,root,root) /%{_lib}/libdl.so.2
%endif
%attr(755,root,root) /%{_lib}/libm-%{version}.so
%ifarch alpha ia64
%attr(755,root,root) /%{_lib}/libm.so.6.1
%else
%attr(755,root,root) /%{_lib}/libm.so.6
%endif
%attr(755,root,root) /%{_lib}/libnsl-%{version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libnsl.so.1.1
%else
%attr(755,root,root) /%{_lib}/libnsl.so.1
%endif
%attr(755,root,root) /%{_lib}/libpthread-%{version}.so
%attr(755,root,root) /%{_lib}/libpthread.so.0
%attr(755,root,root) /%{_lib}/libresolv-%{version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libresolv.so.2.1
%else
%attr(755,root,root) /%{_lib}/libresolv.so.2
%endif
%attr(755,root,root) /%{_lib}/librt-%{version}.so
%attr(755,root,root) /%{_lib}/librt.so.1
%attr(755,root,root) /%{_lib}/libthread_db-1.0.so
%attr(755,root,root) /%{_lib}/libthread_db.so.1
%attr(755,root,root) /%{_lib}/libutil-%{version}.so
%ifarch alpha
%attr(755,root,root) /%{_lib}/libutil.so.1.1
%else
%attr(755,root,root) /%{_lib}/libutil.so.1
%endif
%{?with_localedb:%dir %{_libdir}/locale}

#%files -n nss_dns
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_dns-%{version}.so
%attr(755,root,root) /%{_lib}/libnss_dns.so.2

#%files -n nss_files
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_files-%{version}.so
%attr(755,root,root) /%{_lib}/libnss_files.so.2

%files -n ldconfig
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ld.so.conf
%dir %{_sysconfdir}/ld.so.conf.d
%ghost %{_sysconfdir}/ld.so.cache
%attr(755,root,root) /sbin/ldconfig
%{_mandir}/man8/ldconfig.8*
%lang(es) %{_mandir}/es/man8/ldconfig.8*
%lang(fr) %{_mandir}/fr/man8/ldconfig.8*
%lang(hu) %{_mandir}/hu/man8/ldconfig.8*
%lang(ja) %{_mandir}/ja/man8/ldconfig.8*
%lang(pl) %{_mandir}/pl/man8/ldconfig.8*
%lang(pt) %{_mandir}/pt/man8/ldconfig.8*
%lang(ru) %{_mandir}/ru/man8/ldconfig.8*

%files misc -f %{name}.lang
%defattr(644,root,root,755)

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nsswitch.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gai.conf

%config %{_sysconfdir}/rpc

%attr(755,root,root) /sbin/sln
%attr(755,root,root) %{_bindir}/catchsegv
%attr(755,root,root) %{_bindir}/getconf
%attr(755,root,root) %{_bindir}/getent
%attr(755,root,root) %{_bindir}/iconv
%attr(755,root,root) %{_bindir}/ldd
%ifarch %{ix86} m68k sparc sparcv9
%attr(755,root,root) %{_bindir}/lddlibc4
%endif
%attr(755,root,root) %{_bindir}/locale
%attr(755,root,root) %{_bindir}/rpcgen
%attr(755,root,root) %{_bindir}/tzselect

%attr(755,root,root) %{_sbindir}/zdump
%attr(755,root,root) %{_sbindir}/zic

%dir %{_libexecdir}/getconf
%attr(755,root,root) %{_libexecdir}/getconf/*

%dir %{_datadir}/locale
%{_datadir}/locale/locale.alias

%{_mandir}/man1/catchsegv.1*
%{_mandir}/man1/getconf.1*
%{_mandir}/man1/getent.1*
%{_mandir}/man1/iconv.1*
%{_mandir}/man1/ldd.1*
%{_mandir}/man1/locale.1*
%{_mandir}/man1/rpcgen.1*
%{_mandir}/man5/locale.5*
%{_mandir}/man5/nsswitch.conf.5*
%{_mandir}/man5/tzfile.5*
%{_mandir}/man7/*
%{_mandir}/man8/ld-linux.8*
%{_mandir}/man8/ld-linux.so.8*
%{_mandir}/man8/ld.so.8*
%{_mandir}/man8/sln.8*
%{_mandir}/man8/tzselect.8*
%{_mandir}/man8/zdump.8*
%{_mandir}/man8/zic.8*
%lang(cs) %{_mandir}/cs/man7/*
%lang(de) %{_mandir}/de/man5/tzfile.5*
%lang(de) %{_mandir}/de/man7/*
%lang(es) %{_mandir}/es/man1/ldd.1*
%lang(es) %{_mandir}/es/man5/locale.5*
%lang(es) %{_mandir}/es/man5/nsswitch.conf.5*
%lang(es) %{_mandir}/es/man5/tzfile.5*
%lang(es) %{_mandir}/es/man7/*
%lang(es) %{_mandir}/es/man8/ld-linux.8*
%lang(es) %{_mandir}/es/man8/ld-linux.so.8*
%lang(es) %{_mandir}/es/man8/ld.so.8*
%lang(es) %{_mandir}/es/man8/tzselect.8*
%lang(es) %{_mandir}/es/man8/zdump.8*
%lang(es) %{_mandir}/es/man8/zic.8*
%lang(fi) %{_mandir}/fi/man1/ldd.1*
%lang(fr) %{_mandir}/fr/man1/ldd.1*
%lang(fr) %{_mandir}/fr/man5/locale.5*
%lang(fr) %{_mandir}/fr/man5/nsswitch.conf.5*
%lang(fr) %{_mandir}/fr/man5/tzfile.5*
%lang(fr) %{_mandir}/fr/man7/*
%lang(fr) %{_mandir}/fr/man8/ld-linux.8*
%lang(fr) %{_mandir}/fr/man8/ld-linux.so.8*
%lang(fr) %{_mandir}/fr/man8/ld.so.8*
%lang(fr) %{_mandir}/fr/man8/tzselect.8*
%lang(fr) %{_mandir}/fr/man8/zdump.8*
%lang(fr) %{_mandir}/fr/man8/zic.8*
%lang(hu) %{_mandir}/hu/man1/ldd.1*
%lang(hu) %{_mandir}/hu/man7/*
%lang(hu) %{_mandir}/hu/man8/ld-linux.8*
%lang(hu) %{_mandir}/hu/man8/ld-linux.so.8*
%lang(hu) %{_mandir}/hu/man8/ld.so.8*
%lang(hu) %{_mandir}/hu/man8/zdump.8*
%lang(it) %{_mandir}/it/man5/locale.5*
%lang(it) %{_mandir}/it/man7/*
%lang(it) %{_mandir}/it/man8/tzselect.8*
%lang(it) %{_mandir}/it/man8/zdump.8*
%lang(ja) %{_mandir}/ja/man1/ldd.1*
%lang(ja) %{_mandir}/ja/man1/rpcgen.1*
%lang(ja) %{_mandir}/ja/man5/locale.5*
%lang(ja) %{_mandir}/ja/man5/nsswitch.conf.5*
%lang(ja) %{_mandir}/ja/man5/tzfile.5*
%lang(ja) %{_mandir}/ja/man7/*
%lang(ja) %{_mandir}/ja/man8/ld-linux.8*
%lang(ja) %{_mandir}/ja/man8/ld-linux.so.8*
%lang(ja) %{_mandir}/ja/man8/ld.so.8*
%lang(ja) %{_mandir}/ja/man8/sln.8*
%lang(ja) %{_mandir}/ja/man8/tzselect.8*
%lang(ja) %{_mandir}/ja/man8/zdump.8*
%lang(ja) %{_mandir}/ja/man8/zic.8*
%lang(ko) %{_mandir}/ko/man1/ldd.1*
%lang(ko) %{_mandir}/ko/man5/nsswitch.conf.5*
%lang(ko) %{_mandir}/ko/man5/tzfile.5*
%lang(ko) %{_mandir}/ko/man7/*
%lang(ko) %{_mandir}/ko/man8/tzselect.8*
%lang(ko) %{_mandir}/ko/man8/zdump.8*
%lang(pl) %{_mandir}/pl/man1/ldd.1*
%lang(pl) %{_mandir}/pl/man5/locale.5*
%lang(pl) %{_mandir}/pl/man7/*
%lang(pl) %{_mandir}/pl/man8/ld-linux.8*
%lang(pl) %{_mandir}/pl/man8/ld-linux.so.8*
%lang(pl) %{_mandir}/pl/man8/ld.so.8*
%lang(pt) %{_mandir}/pt/man5/locale.5*
%lang(pt) %{_mandir}/pt/man5/nsswitch.conf.5*
%lang(pt) %{_mandir}/pt/man5/tzfile.5*
%lang(pt) %{_mandir}/pt/man7/*
%lang(pt) %{_mandir}/pt/man8/tzselect.8*
%lang(pt) %{_mandir}/pt/man8/zdump.8*
%lang(pt) %{_mandir}/pt/man8/zic.8*
%lang(ru) %{_mandir}/ru/man1/getent.1*
%lang(ru) %{_mandir}/ru/man1/iconv.1*
%lang(ru) %{_mandir}/ru/man1/ldd.1*
%lang(ru) %{_mandir}/ru/man1/locale.1*
%lang(ru) %{_mandir}/ru/man1/rpcgen.1*
%lang(ru) %{_mandir}/ru/man5/locale.5*
%lang(ru) %{_mandir}/ru/man5/nsswitch.conf.5*
%lang(ru) %{_mandir}/ru/man5/tzfile.5*
%lang(ru) %{_mandir}/ru/man7/*
%lang(ru) %{_mandir}/ru/man8/ld-linux.so.8*
%lang(ru) %{_mandir}/ru/man8/ld.so.8*
%lang(ru) %{_mandir}/ru/man8/tzselect.8*
%lang(ru) %{_mandir}/ru/man8/zdump.8*
%lang(ru) %{_mandir}/ru/man8/zic.8*
%lang(tr) %{_mandir}/tr/man1/iconv.1*
%lang(tr) %{_mandir}/tr/man1/ldd.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/iconv.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/ldd.1*
%lang(zh_CN) %{_mandir}/zh_CN/man5/locale.5*
%lang(zh_CN) %{_mandir}/zh_CN/man5/tzfile.5*
%lang(zh_CN) %{_mandir}/zh_CN/man7/*
%lang(zh_CN) %{_mandir}/zh_CN/man8/tzselect.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/zdump.8*
%lang(zh_CN) %{_mandir}/zh_CN/man8/zic.8*

%files -n nss_compat
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_compat-%{version}.so
%attr(755,root,root) /%{_lib}/libnss_compat.so.2

%files -n nss_hesiod
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_hesiod-%{version}.so
%attr(755,root,root) /%{_lib}/libnss_hesiod.so.2

%files -n nss_nis
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_nis-%{version}.so
%attr(755,root,root) /%{_lib}/libnss_nis.so.2

%files -n nss_nisplus
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libnss_nisplus-%{version}.so
%attr(755,root,root) /%{_lib}/libnss_nisplus.so.2

%if %{with memusage}
%files memusage
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/memusage*
%attr(755,root,root) %{_libdir}/libmemusage.so
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libBrokenLocale.so
%attr(755,root,root) %{_libdir}/libanl.so
%attr(755,root,root) %{_libdir}/libcrypt.so
%attr(755,root,root) %{_libdir}/libcidn.so
%attr(755,root,root) %{_libdir}/libdl.so
%attr(755,root,root) %{_libdir}/libm.so
%attr(755,root,root) %{_libdir}/libnsl.so
%attr(755,root,root) %{_libdir}/libpcprofile.so
%attr(755,root,root) %{_libdir}/libresolv.so
%attr(755,root,root) %{_libdir}/librt.so
%attr(755,root,root) %{_libdir}/libthread_db.so
%attr(755,root,root) %{_libdir}/libutil.so
%{_libdir}/crt[1in].o
%{_libdir}/[MSg]crt1.o
# ld scripts
%{_libdir}/libc.so
%{_libdir}/libpthread.so
# static-only libs
%{_libdir}/libbsd-compat.a
%{_libdir}/libbsd.a
%{_libdir}/libc_nonshared.a
%{_libdir}/libg.a
%{_libdir}/libieee.a
%ifarch alpha ppc sparc
%{_libdir}/libnldbl_nonshared.a
%endif
%{_libdir}/libpthread_nonshared.a
%{_libdir}/librpcsvc.a
%ifarch %{ix86} %{x8664} ppc ppc64 s390 s390x sparc sparcv9 sparc64
# ABI-dependent headers
%{_includedir}/gnu/stubs-*.h
%endif

%files headers
%defattr(644,root,root,755)
%{_includedir}/*.h
%ifarch alpha
%{_includedir}/alpha
%endif
%{_includedir}/arpa
%{_includedir}/bits
%dir %{_includedir}/gnu
%{_includedir}/gnu/lib*.h
%{_includedir}/gnu/stubs.h
%{_includedir}/net
%{_includedir}/netash
%{_includedir}/netatalk
%{_includedir}/netax25
%{_includedir}/neteconet
%{_includedir}/netiucv
%{_includedir}/netinet
%{_includedir}/netipx
%{_includedir}/netpacket
%{_includedir}/netrom
%{_includedir}/netrose
%{_includedir}/nfs
%{_includedir}/protocols
%{_includedir}/rpc
%{_includedir}/rpcsvc
%{_includedir}/scsi
%{_includedir}/sys

%files devel-utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gencat
%attr(755,root,root) %{_bindir}/*prof*
%attr(755,root,root) %{_bindir}/*trace

%files devel-doc
%defattr(644,root,root,755)
%doc documentation/* NOTES PROJECTS
%{_infodir}/libc.info*

%{_mandir}/man1/sprof.1*
%{_mandir}/man3/*
%lang(cs) %{_mandir}/cs/man3/*
%lang(de) %{_mandir}/de/man3/*
%lang(es) %{_mandir}/es/man3/*
%lang(fr) %{_mandir}/fr/man3/*
%lang(hu) %{_mandir}/hu/man3/*
%lang(it) %{_mandir}/it/man3/*
%lang(ja) %{_mandir}/ja/man3/*
%lang(ko) %{_mandir}/ko/man3/*
%lang(nl) %{_mandir}/nl/man3/*
%lang(pl) %{_mandir}/pl/man3/*
%lang(pt) %{_mandir}/pt/man3/*
%lang(ru) %{_mandir}/ru/man1/sprof.1*
%lang(ru) %{_mandir}/ru/man3/*
%lang(tr) %{_mandir}/tr/man3/*
%lang(uk) %{_mandir}/uk/man3/*
%lang(zh_CN) %{_mandir}/zh_CN/man3/*

%files -n nscd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/nscd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nscd.*
%attr(754,root,root) /etc/rc.d/init.d/nscd
%attr(755,root,root) %{_sbindir}/nscd*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/nscd
%attr(640,root,root) %ghost /var/log/nscd
%dir /var/run/nscd
%dir /var/lib/nscd
%attr(600,root,root) %ghost /var/lib/nscd/passwd
%attr(600,root,root) %ghost /var/lib/nscd/group
%attr(600,root,root) %ghost /var/lib/nscd/hosts
%{_mandir}/man5/nscd.conf.5*
%{_mandir}/man8/nscd.8*
%{_mandir}/man8/nscd_nischeck.8*
%lang(es) %{_mandir}/es/man5/nscd.conf.5*
%lang(es) %{_mandir}/es/man8/nscd.8*
%lang(fr) %{_mandir}/fr/man5/nscd.conf.5*
%lang(fr) %{_mandir}/fr/man8/nscd.8*
%lang(ja) %{_mandir}/ja/man5/nscd.conf.5*
%lang(ja) %{_mandir}/ja/man8/nscd.8*
%lang(pt) %{_mandir}/pt/man5/nscd.conf.5*
%lang(pt) %{_mandir}/pt/man8/nscd.8*
%lang(ru) %{_mandir}/ru/man5/nscd.conf.5*
%lang(ru) %{_mandir}/ru/man8/nscd.8*
%lang(zh_CN) %{_mandir}/zh_CN/man5/nscd.conf.5*

%files -n localedb-src
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/localedef
%attr(755,root,root) %{_bindir}/localedb-gen
%{_datadir}/i18n
%{_mandir}/man1/localedef.1*
%lang(ru) %{_mandir}/ru/man1/localedef.1*

%if %{with localedb}
%files localedb-all
%defattr(644,root,root,755)
%{_libdir}/locale/locale-archive
%endif

%files -n iconv
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/iconvconfig
%dir %{_libdir}/gconv
%{_libdir}/gconv/gconv-modules
%verify(not md5 mtime size) %{_libdir}/gconv/gconv-modules.cache
%attr(755,root,root) %{_libdir}/gconv/*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libanl.a
%{_libdir}/libBrokenLocale.a
%{_libdir}/libc.a
%{_libdir}/libcrypt.a
%{_libdir}/libdl.a
%{_libdir}/libm.a
%{_libdir}/libmcheck.a
%{_libdir}/libnsl.a
%{_libdir}/libpthread.a
%{_libdir}/libresolv.a
%{_libdir}/librt.a
%{_libdir}/libutil.a

%files profile
%defattr(644,root,root,755)
%{_libdir}/lib*_p.a

%files pic
%defattr(644,root,root,755)
%{_libdir}/lib*_pic.a
%{_libdir}/lib*.map
%{_libdir}/soinit.o
%{_libdir}/sofini.o

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glibc.spec,v $
Revision 1.813  2009/03/23 10:09:07  arekm
- rel 7

Revision 1.812  2009/03/19 18:22:16  pawelz
- reverted last commit
- added TODO (some scripts requires bash)

Revision 1.811  2009/03/19 18:08:27  pawelz
- glibc-misc R: bash (at least ldd requires it)

Revision 1.810  2009/03/19 15:18:24  glen
- breaking rpm dep loop: removed R: basesystem because no pkg should depend on metapackage and reason added in r1.149 is no longer valid/needed; rel 6

Revision 1.809  2009/03/10 18:19:27  glen
- no need to regen gconv-modules.cache (which is void on 32bit multilib anyway); rel 6

Revision 1.808  2009/03/06 19:07:20  megabajt
- added dirs for ha and ig locales
- release 4

Revision 1.807  2009/03/02 15:51:51  glen
- iconv provide iconv(%{_target_base_arch})

Revision 1.806  2009/03/02 15:19:35  glen
- omit buildroot from gconv cache paths. LP#336742

Revision 1.805  2009/03/02 15:18:09  glen
- no macros in obsoletes (we don't have any glibc64/glibc)

Revision 1.804  2009/02/27 10:35:35  arekm
- tarballs finally uploaded

Revision 1.803  2009/02/23 08:14:50  arekm
- rel 3; id/LC_TIME

Revision 1.802  2009/02/20 14:45:41  pluto
- fix build with recent binutils.

Revision 1.801  2009/01/05 16:15:35  glen
- package gconv-modules.cache
- fix build with config.cache

Revision 1.800  2008/11/28 17:09:41  arekm
- upstream fixes

Revision 1.799  2008/11/25 14:00:53  blues
- suggest virtual localedb, provided by localedb-all and -src

Revision 1.798  2008/11/17 17:40:28  arekm
- rel 1; i486 build fix seems to work fine

Revision 1.797  2008/11/17 17:21:39  arekm
- untested fix for i486 build

Revision 1.796  2008/11/15 10:31:58  arekm
- drop -fasynchronous-unwind-tables due to x86 failures

Revision 1.795  2008/11/14 21:23:49  arekm
- don't provide/require GLIBC_PRIVATE symbols

Revision 1.794  2008/11/14 20:19:05  arekm
- up to 2.9 (unofficial yet so rel 0.1); -fasynchronous-unwind-tables

Revision 1.793  2008/10/26 11:02:44  arekm
S: tzdata, too then

Revision 1.792  2008/10/26 09:34:33  gotar
- according to spamassassin.spec rev. 1.145 glibc-misc S: glibc-localedb-all
  as this is commonly being forgotten

Revision 1.791  2008/10/08 19:08:06  qboosh
- updated morelocales patch to add sd_IN, ht_HT, en_AG, nl_AW

Revision 1.790  2008/10/03 22:50:06  megabajt
- added dir for ks LC_MESSAGES (used by eog)
- release 11

Revision 1.789  2008/10/01 16:43:54  sparky
- added powerpc-abi_fix patch; rel 10

Revision 1.788  2008/09/26 08:16:55  ankry
- crh locale dir for (at least) libgnomeui

Revision 1.787  2008/09/10 14:40:44  qboosh
- changelog typo

Revision 1.786  2008/09/10 06:28:45  hawk
- release 8

Revision 1.785  2008/09/08 22:03:54  qboosh
- updated morelocales patch to add ks_IN@devanagari, sd_IN@devanagari, ps_AF locales
- added dir for ps LC_MESSAGES

Revision 1.784  2008/09/08 05:53:10  qboosh
- updated locale comments

Revision 1.783  2008/08/21 19:05:57  qboosh
- more locale comments

Revision 1.782  2008/08/21 17:37:07  qboosh
- updated locales-to-do list

Revision 1.781  2008/08/19 20:46:37  qboosh
- support en_NZ LC_MESSAGES

Revision 1.780  2008/08/10 17:59:44  arekm
- rel 7; lt/LC_TIME needed

Revision 1.779  2008/07/28 09:14:16  arekm
- drop -D_FORTIFY_SOURCE; glibc doesn't like it

Revision 1.778  2008/07/08 18:56:05  qboosh
- added dir for fr_CH messages

Revision 1.777  2008/07/03 13:20:38  pluto
- *crt*.o files don't require 755.

Revision 1.776  2008/06/25 16:46:32  pluto
- fix PR/6693, release 6.

Revision 1.775  2008/06/11 15:35:04  hawk
- release 5

Revision 1.774  2008-06-11 14:47:26  hawk
- release 4

Revision 1.773  2008-06-02 17:49:33  arekm
- rel 3; glibc-ppc dropped

Revision 1.772  2008-05-28 16:31:33  glen
- longer gecos for nscd

Revision 1.771  2008-05-20 14:13:12  ankry
- added de_CH locale dir for gnucash translation, rel. 2

Revision 1.770  2008-05-07 20:38:12  qboosh
- updated pl.po-update,locale_fixes,sparc-lowlevellock patches are back

Revision 1.769  2008-04-23 07:18:40  arekm
- rel 1

Revision 1.768  2008-04-17 09:51:15  arekm
- builds now

Revision 1.767  2008-04-16 19:44:36  arekm
- glibc 2.8, tarballs not yet avilable; doesn't build yet

Revision 1.766  2008-04-09 07:32:35  ankry
- info about Mandingo language

Revision 1.765  2008-04-09 07:11:05  ankry
- added ar_TN locale dir and comment about Iloko language (ilo); rel. 16

Revision 1.764  2008-04-09 06:57:37  ankry
- comment about Scots language (sco)

Revision 1.763  2008-04-08 18:14:45  megabajt
- added LC_MESSAGES dirs for: es_CL, es_CR, es_DO, es_EC, es_GT, es_HN,
  es_PA, es_PE, es_SV, es_UY, es_VE
- release 15

Revision 1.762  2008-04-02 19:46:01  pluto
- drop ugly pax_dl-execstack.hack and export PaX defs in elf.h inconditionally.

Revision 1.761  2008-03-15 11:20:19  arekm
- rel 14

Revision 1.760  2008-03-15 07:42:51  arekm
- rel 13; define missing bits in user.h on ppc

Revision 1.759  2008-03-02 20:26:28  arekm
- rel 12; fix Error: suffix or operands invalid for `fnstsw\' problem

Revision 1.758  2008-03-02 19:04:41  qboosh
- added uk,vi LC_TIME dirs
- release 11

Revision 1.757  2008-02-26 13:23:20  pluto
- fix alpha build.

Revision 1.756  2008-01-29 20:06:53  hawk
- release 10

Revision 1.755  2008-01-24 01:36:31  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.754  2008-01-23 18:16:26  qboosh
- LC_SCRIPTS is pure KDE thing, not a valid category; nothing to do in glibc
- added ca_ES@valencia to locale todo list

Revision 1.753  2008-01-21 00:38:10  glen
- kde4 uses some LC_SCRIPTS dir

Revision 1.752  2008-01-16 09:17:30  arekm
- rel 9

Revision 1.751  2008-01-12 11:44:43  qboosh
- added dir for fr_CA messages

Revision 1.750  2008-01-06 20:43:12  qboosh
- special stripping of ld/libpthread finally works in proper way
- fixed syntax errors in locale_fixes patch
- release 8.3

Revision 1.749  2008-01-06 19:23:15  qboosh
- readded missing libnsl; introduced omitted libcidn.so devel symlink

Revision 1.748  2008-01-06 19:19:49  qboosh
- one more typo

Revision 1.747  2008-01-06 19:18:35  qboosh
- typo

Revision 1.746  2008-01-06 14:54:59  qboosh
- macros 1.412

Revision 1.745  2008-01-06 14:38:35  qboosh
- use _autostripdebug for ld and libpthread
- sanity check before replacing symlinks with absolute ones

Revision 1.744  2008-01-06 13:56:10  qboosh
- cleaned up and simplified lang()ed files generation

Revision 1.743  2008-01-06 13:28:07  qboosh
- package dirs for LC_TIME category locale catalogs
- moved ldconfig(8) manuals to ldconfig package
- pl fix for ldconfig

Revision 1.742  2007-11-20 19:44:30  glen
- separate pkg for ldconfig. this should help poldek with multilib
  installations (merged from AC-branch)

Revision 1.741  2007-11-19 13:38:35  glen
- adapter

Revision 1.740  2007-11-19 13:37:33  glen
- telinit -u is called from SysVinit

Revision 1.739  2007-11-13 16:13:20  glen
- postshell problem is no more

Revision 1.738  2007-11-04 22:37:08  hawk
- release 8

Revision 1.737  2007/11/03 10:54:21  arekm
- revert sr@Latn; too many pain. First other apps need to be fixed THEN glibc.

Revision 1.736  2007/11/02 23:12:52  hawk
- added i586 build fix, required for Titanium, allowed on HEAD by arekm

Revision 1.735  2007/11/02 22:36:17  qboosh
- dropped includes patch (useless with llh 2.6.20+)

Revision 1.734  2007/11/02 16:53:36  arekm
- pretrans for droppin sr@Latn and replacing it with symlink

Revision 1.733  2007/11/02 12:18:30  arekm
- rel 5; add sr@Latn symlink to files

Revision 1.732  2007/11/02 08:02:01  tommat
- added glibc-sparc-lowlevellock.patch fixing build on sparc

Revision 1.731  2007/11/01 19:19:18  tommat
- alredy fixed in 2.7

Revision 1.730  2007/11/01 13:24:14  sls
- added tzfile_read.patch
- rel. 4

Revision 1.729  2007/10/24 23:27:07  ankry
- kill sr@Latn dir, create temporary link (till all packages are fixed)

Revision 1.728  2007/10/24 23:08:02  ankry
- added locale/es_CO, rel. 3

Revision 1.727  2007/10/24 07:15:55  arekm
- rel 2

Revision 1.726  2007/10/23 21:31:43  qboosh
- apply memmove patch

Revision 1.725  2007/10/23 20:39:43  arekm
- rel 1

Revision 1.724  2007/10/23 20:28:29  qboosh
- updated pl.po-update,new-charsets,morelocales,locale_fixes,with-stroke patches

Revision 1.723  2007/10/23 18:12:59  qboosh
- changelog for "rel 3"

Revision 1.722  2007/10/19 06:43:51  arekm
- fix awk call; builds now

Revision 1.721  2007/10/18 22:12:39  arekm
- started playing with glibc 2.7 (tons of FIXME)

Revision 1.720  2007/10/17 19:59:13  zbyniu
- pax support is back; rel 4

Revision 1.719  2007/10/10 20:26:36  arekm
- rel 3
[require macros 1.396 not to strip libpthread]

Revision 1.718  2007/08/24 16:21:18  qboosh
- reverted unnecessary ca_ES,uk_UA addition

Revision 1.717  2007/08/23 20:26:36  glen
- ldconfig todo (rfc like)

Revision 1.716  2007/08/23 19:39:06  blues
- rel.2 - ca_ES and uk_UA locales.

Revision 1.715  2007/08/03 19:03:52  qboosh
- updated pl.po-update patch
- clarified License (glibc is LGPL v2.1+, nscd GPL v2)

Revision 1.714  2007/07/31 21:57:12  arekm
- up to 2.6.1

Revision 1.713  2007/07/11 20:32:36  qboosh
- newer binutils required on alpha

Revision 1.712  2007/07/08 20:11:22  qboosh
- "co" (Corsician) added to locale todo

Revision 1.711  2007/06/17 21:52:04  arekm
- rel 5; tzdata is not really required ( + makes problems with fresh installs )

Revision 1.710  2007/06/17 16:21:12  arekm
- and sparc64 ppc64

Revision 1.709  2007/06/17 15:21:18  arekm
rel 4; Provides/Obsoletes glibc64 makes only sense for x8664 architecture

Revision 1.708  2007/06/09 00:59:57  tommat
- added sparc64 ugly build patch from debian

Revision 1.707  2007/06/04 07:10:03  arekm
- rel 3; malloc updates that fix locale generation problems

Revision 1.706  2007/06/03 21:09:33  arekm
- rel 2

Revision 1.705  2007/05/21 21:45:13  qboosh
- Serbian locale cleanups in morelocales patch:
  - dropped obsolete sr_CS@Latn
  - dropped sr_CS@ije (sr@ije variant avilable through LANGUAGE=sr_ME@ije/sr_RS@ije)
  - added sr_RS.ISO-8859-2@latin
- added sr@latin dir (sr@Latn temporarily left but expect switch)

Revision 1.704  2007/05/20 09:32:47  qboosh
- updated pl.po-update patch for glibc 2.6, sync with gnulib translations

Revision 1.703  2007/05/19 12:21:47  qboosh
- added gcc42 patch to eliminate gcc = 4.2.x warnings when using glibc headers with -std=c99

Revision 1.702  2007/05/18 20:46:42  arekm
- rel 1

Revision 1.701  2007/05/18 19:15:37  qboosh
- updated localefixes,morelocales patches are back

Revision 1.700  2007/05/18 06:16:40  arekm
- partial up to 2.6; locale patches need update

Revision 1.699  2007/05/08 17:59:11  baggins
- shutup checkfiles

Revision 1.698  2007/05/08 11:26:40  baggins
- removed rpcinfo*, provided by rpcbind package (portmap replacement)

Revision 1.697  2007/04/11 12:29:38  pluto
- release 5.

Revision 1.696  2007/04/05 11:08:19  pluto
- rationale for -fgnu89-inline.
- provide rtld(GNU_HASH) for openoffice and non-pld rpms.

Revision 1.695  2007/04/03 16:55:07  arekm
- rel 4

Revision 1.694  2007/04/03 15:02:03  qboosh
- updated my hp URL

Revision 1.693  2007/04/03 14:55:07  qboosh
- updated pl.po-update patch is back
- restored simple --with-headers

Revision 1.692  2007/04/03 14:39:28  qboosh
- use new linux-libc-headers
- -fgnu89-inline temporarily(?) disabled - rationale missing

Revision 1.691  2007/03/29 13:33:38  pluto
- drop hack and use kernel-libc-headers, release 3.

Revision 1.690  2007/03/18 12:41:33  qboosh
- no glibc-kernheaders in PLD

Revision 1.689  2007/03/16 09:02:52  sls
- there is non trivial translation to es_PR in poedit.spec

Revision 1.688  2007/03/09 20:48:45  qrczak
- Re-added LC_MESSAGES dirs for ang and tlh (actually I forgot to
  remove them last time; now really removed syr).
- Updated the comment about locales waiting for glibc support.

Revision 1.687  2007/03/09 12:06:08  qrczak
- Removed LC_MESSAGES dirs for unsupported locales: ang, leet, syr,
  tlh.
- Added LC_MESSAGES dirs for supported locales: aa@saaho, an, ast,
  be@alternative, be@latin, csb, fil, fur, gd, gez, ik, mai, nr, pap,
  sc, st, tn, ts, uz@cyrillic.
- Release 2.

Revision 1.686  2007/02/14 23:08:28  pluto
- disable lazy binding, release 1.

Revision 1.685  2007/02/14 15:30:04  pluto
- todo completed.

Revision 1.684  2007/02/14 15:18:27  pluto
- fix memusage script.

Revision 1.683  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.682  2007/02/12 19:18:32  qrczak
- Transliteration table includes some letters with stroke, e.g. “ł”
  can be replaced with “l”.
- Release 0.6

Revision 1.681  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.680  2007/02/10 12:43:37  arekm
- update from glibc 2.5 cvs branch; pl.po needs update

Revision 1.679  2007/02/09 13:45:56  arekm
- fix upgrade from ac

Revision 1.678  2007/02/06 14:47:04  pluto
- note from H. J. Lu.

Revision 1.677  2007/02/06 13:32:56  baggins
- rel 0.5

Revision 1.676  2007/02/06 07:28:16  arekm
- unset LD_SYMBOLIC_FUNCTIONS as it makes problems for these two

Revision 1.675  2007/02/05 22:53:09  baggins
- rel 0.4
- teach glibc about new syscalls at build time without requiring latest
  kernel via include-override, the idea comes from Fedora and is _brilliant_

Revision 1.674  2007/02/05 13:11:05  arekm
- fix

Revision 1.673  2007/02/05 13:07:03  arekm
- install nsswitch without db entries in it (nss_db is not in default glibc)

Revision 1.672  2007/01/28 18:06:44  qboosh
- added dir for wo locale (included in newt)

Revision 1.671  2007/01/08 12:21:04  glen
- fix localedb-gen script for amd64; rel 0.3

Revision 1.670  2006/12/31 17:02:49  qboosh
- comment on lib*_g.a files

Revision 1.669  2006/12/31 16:49:23  qboosh
- added sparc64-fixes patch, now builds on both sparc* platforms

Revision 1.668  2006/12/30 22:18:15  qboosh
- add -m32 to __cc to fix 32-bit sparc build using multilib compiler

Revision 1.667  2006/12/30 22:07:00  qboosh
- added added sparc-softfp-gcc patch (fixes build on sparc)

Revision 1.666  2006/12/26 22:27:38  glen
- also remove *~ due $VERSION_CONTROL=t effect

Revision 1.665  2006/12/26 00:37:49  qboosh
- cleanup localedb-src

Revision 1.664  2006/11/13 14:56:53  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.663  2006/11/04 00:28:14  sparky
- ppc-include-mathinlune replaced by better ppc-inline-fsqrt patch

Revision 1.662  2006/11/01 18:23:03  qboosh
- disabled ppc-include-mathinline patch (only for -Os, not doing things in the right way)

Revision 1.661  2006/11/01 17:10:34  qboosh
- updated morelocales patch to include sr_ME,sr_RS,sr_RS@Latn locales

Revision 1.660  2006/11/01 16:35:21  qboosh
- sr_CS patch merged into morelocales patch

Revision 1.659  2006/11/01 10:51:31  qboosh
- updated comment

Revision 1.658  2006/10/13 08:04:07  qboosh
- added en_NG locale (morelocales patch), needed by yo_NG

Revision 1.657  2006/10/06 17:27:40  sparky
- fix build on PowerPC

Revision 1.656  2006/10/05 20:28:16  qboosh
- locales done

Revision 1.655  2006/10/05 19:12:21  qboosh
- updated pl.po-update patch is back
- reenabled missing-nls patch, it applies now

Revision 1.654  2006/10/05 12:49:53  qboosh
- updated locale_fixes patch is back

Revision 1.653  2006/10/05 12:29:14  arekm
- rel 0.2

Revision 1.652  2006/10/05 11:30:34  qboosh
- updated morelocales patch: added tk_TM,ug_CN,yo_NG (from mdk 2007.0), ia (from belocs)
- added dirs for tk,ug,yo messages (included in new GNOME)

Revision 1.651  2006/10/05 10:40:54  qboosh
- updated morelocales patch is back
- added dirs for as,si locales (included in new GNOME)

Revision 1.650  2006/09/30 10:31:47  arekm
- install gai.conf

Revision 1.649  2006/09/29 22:23:46  arekm
- partial 2.5 update (see TODO list)

Revision 1.648  2006/09/07 09:58:25  pluto
- release 5, rebuild.

Revision 1.647  2006/09/05 19:42:42  sparky
- rel 4.1 (change was small but glibc needs release bump)

Revision 1.646  2006/09/05 14:59:37  sparky
- removed postshell
- don't use 'diet -Os $(CC)' because it kills all other CFLAGS

Revision 1.645  2006/08/19 15:19:02  qboosh
- filterout needs rpm.macros >= 1.315

Revision 1.644  2006/08/12 09:31:26  ankry
- formatting

Revision 1.643  2006/08/09 11:30:15  pluto
- fix dietlibc-static BR.

Revision 1.642  2006/08/05 20:48:41  sparky
- filter-out strip flags instead of defining rpmldflags to %{nil}

Revision 1.641  2006/07/11 17:59:46  glen
- correct BR for postshell compile

Revision 1.640  2006/07/11 17:56:43  glen
- just show sizes, otherwise it might seem striping is bad

Revision 1.639  2006/07/11 17:52:03  glen
- update postshell strip stats

Revision 1.638  2006/07/11 15:31:04  glen
- postshell.patch obsolete, postshell.c is now used
- use diet rather klcc (merge from AC-branch)
- (unable to test due lack of Th build env)

Revision 1.637  2006/07/04 06:45:32  glen
- regression detected with postshell.c

Revision 1.636  2006/07/03 22:52:36  qboosh
- removed sparc64-dl-machine patch (seems obsolete)

Revision 1.635  2006/07/03 11:25:33  qboosh
- merged 2.4 from DEVEL

Revision 1.590.2.47  2006/07/01 09:05:27  qboosh
- updated pl.po-update and missing-nls patches, release 4

Revision 1.590.2.46  2006/06/30 21:19:03  qboosh
- updated min_kernel comment

Revision 1.590.2.45  2006/06/28 20:28:57  arekm
- move min kernel to 2.6.12 (waitid, 64 bit stats on sparc, ieee exceptions, getdents)

Revision 1.590.2.44  2006/06/07 08:04:47  qboosh
- merged some changes from HEAD (man update, tzdata separation)
- restored min_kernel macro

Revision 1.590.2.43  2006/06/07 07:18:41  freetz
- rel.3

Revision 1.590.2.42  2006/06/06 18:54:44  freetz
- merged locale changes from HEAD

Revision 1.590.2.41  2006/05/09 10:25:10  qboosh
- amd64 too

Revision 1.590.2.40  2006/05/01 14:04:48  pluto
- xen friendly glibc. works for me on non-xen kernel on x86-64 box.
- release 2.

Revision 1.590.2.39  2006/05/01 09:32:35  pluto
- always omit frame pointers (not needed any more due to var-tracking).

Revision 1.590.2.38  2006/03/13 21:32:28  pluto
- builds on sparc32 too.

Revision 1.590.2.37  2006/03/12 18:07:27  pluto
- glibc-devel(alpha) += libnldbl_nonshared.a.
- release 1 for Th.

Revision 1.590.2.36  2006/03/07 21:55:45  pluto
- postshell/postinst almost fixed.

Revision 1.590.2.35  2006/03/07 20:50:27  pluto
- fix postshell/postinst build. use klibc for smaller binaries.

Revision 1.590.2.34  2006/03/07 20:23:11  arekm
- merge parts from AC-branch

Revision 1.590.2.33  2006/03/07 19:19:41  arekm
- up to 2.4 final

Revision 1.590.2.32  2006/02/27 23:25:24  glen
- use service, adapterized

Revision 1.590.2.31  2006/02/11 20:46:45  pluto
- ifarch ppc for libnldbl_nonshared.

Revision 1.590.2.30  2006/02/11 19:48:45  pluto
- updated to 2.3.90-20060211T1753UTC (128-bit long double support).

Revision 1.590.2.29  2006/01/23 11:22:55  pluto
- glibc 2.3.90 has stubs split.

Revision 1.590.2.28  2006/01/22 21:40:59  pluto
- multilib split merged from head (i hope correctly).
- use glibc instead of glibc64 for th.

Revision 1.590.2.27  2006/01/15 20:40:26  ankry
- added bn_IN dir

Revision 1.590.2.26  2006/01/15 19:09:50  pluto
- enable .arch ev6 for dynamic code (gcc/as build fix).

Revision 1.590.2.25  2005/12/30 23:53:52  ankry
- updated comment

Revision 1.590.2.24  2005/12/30 23:47:22  ankry
- added fr_BE locale dir

Revision 1.590.2.23  2005/12/07 14:09:20  ankry
- updated locale stuff

Revision 1.590.2.22  2005/12/06 10:22:52  ankry
- removed outdated patch, renumbered

Revision 1.590.2.21  2005/12/04 14:59:41  pluto
- snap supdated, locale patchset needs update.

Revision 1.590.2.20  2005/11/15 10:04:32  ankry
- Swahili supported

Revision 1.590.2.19  2005/11/11 19:00:50  ankry
- added glibc-large_collate_tables.patch by qboosh

Revision 1.590.2.18  2005/11/11 02:10:48  ankry
- added fy locale dir, updated locale patches. STBR for test - but where?

Revision 1.590.2.17  2005/11/01 22:12:30  ankry
- added more dirs: for Syriac, Sanskrit, Rhaeto-roman

Revision 1.590.2.16  2005/11/01 20:27:41  ankry
- added more locale dirs: sync with AC-branch

Revision 1.590.2.15  2005/07/25 06:39:56  pluto
- tab.

Revision 1.590.2.14  2005/07/10 18:38:03  pluto
- % files cleaned up, release .1.

Revision 1.590.2.13  2005/07/10 18:09:43  pluto
- %install updated.

Revision 1.590.2.12  2005/07/10 17:13:00  pluto
- BR autoconf.
- TODO updated (-fbounded-pointers isn't available in official gcc
                releases. gcc 3.3 support only -fbounds-check for
                java & fortran. gcc 4+ uses mudflap engine for bounds
                checking).

Revision 1.590.2.11  2005/07/10 11:42:23  pluto
- starting update to current mainline...
  # linuxthread stuff dropped from glibc.
  # stackguard randomizer enabled (optional part of gcc4+ stack protector).
- nfy, dnt.

Revision 1.590.2.10  2005/05/09 13:01:12  pluto
- use %{x8664} macro.

Revision 1.590.2.9  2005/05/09 12:53:19  pluto
- release 0.2 for rebuild with new bugfixed gcc-4.0.1snap.

Revision 1.590.2.8  2005/05/02 09:54:58  pluto
- use nptl by default (dual build with linuxthreads needs update for Th).

Revision 1.590.2.7  2005/04/26 09:44:44  pluto
- as-needed usage temporary disabled (binutils are broken).

Revision 1.590.2.6  2005/04/15 20:35:42  pluto
- tls and nptl support for sparc64 added.

Revision 1.590.2.5  2005/04/03 19:20:08  pluto
- sr_CS@Latn locale readded.

Revision 1.590.2.4  2005/04/03 18:51:20  qboosh
- glibc 2.4 no longer supports gcc 3.3

Revision 1.590.2.3  2005/04/03 15:02:51  pluto
- cleanups.

Revision 1.590.2.2  2005/04/03 14:06:56  pluto
- md5.

Revision 1.590.2.1  2005/04/03 14:03:38  pluto
- glibc-2_3-branch doesn't support gcc4+, only CVS HEAD does.
